アニメ、ゲーム、メモなど
Blog

Rails

RSPECでtransactionのエラーがでる

RSPECでテストをしようとしたらエラーが出ました(☝ ՞ਊ ՞) active_recordが存在しないエラーが発生 rspecを実行します。sporkを使っているのでdrbオプションをつけています。 bundle e …

rspecを実行した時にuninitialized constant Capybara (NameError)というエラーがでる

railstutorialのspecの実行でエラーがでました(☝ ՞ਊ ՞) Capybaraが無いとエラーがでる rspecコマンドを実行します。 bundle exec rspec spec/requests/sta …

Could not find a JavaScript runtime エラーがRails4でrails sしたときに発生する

rails sでrailsを起動しようとしたらエラーがでました(☝ ՞ਊ ՞) Could not find a JavaScript runtime エラーが発生 rails s /home/vagrant/.rben …

rvmでrubyのバージョンに合わせたgemを指定する

rvmでrubyのバージョンを変更したつもりがgemの指定が変わっていなかったようです。 rails s や bundle installをしようとしたらエラーが ruby2.0とrails4でrails s や bun …

rvmでrailsのバージョンを指定する

rvmで使いたいrailsを指定したいです(☝ ՞ਊ ՞)☝ railsのバージョンを複数用意する3ステップ rvmでrailsのバージョンを複数存在させるには3つの手順で実現出来ました。 gemsetを作成する gem …

rvmでRuby2.0をインストールしたついでにRails4.0を起動した

Ruby2.0を使ってみようとおもいました(☝ ՞ਊ ՞) rvmでruby2.0をインストール rvm use でruby2.0を使うとすると rvm use 2.0 ruby-2.0.0-p195 is not in …

特定のディレクトリでrvmを使って指定したバージョンのrubyを使う

Railsの作業ディレクトリに行くたびに、毎回rvm useするのがめんどうでした(☝ ՞ਊ ՞)☝ .rvmrcでrubyのバージョンを指定 rubyを使うディレクトリに.rvmrcを用意すればいいみたいです(☝ ՞ਊ …

railsのアプリケーションを作ろうとしたらエラーがでた

railsのインストールが終わったのでプロジェクトを作ってみます。 productsというアプリケーションを作成してみました。 sudo rails new products ・ 略 ・ run bundle insta …

railsをインストールしようとしたらエラーがでた

rubyのインストールが終わったのでrailsを入れていきます。 さっそく入れて行きましょう(☝ ՞ਊ ՞)☝ $ sudo gem install rails –version “~>3.2.1 …

rvmをupdateしようとしたらエラーがでた

macでrails環境を作ろうとおもい、rvmのversionを確認したら随分古いようなのでupdateをしようとしました。 まずはversionの確認(☝ ՞ਊ ՞)☝ rvm version rvm 1.0.12 b …

PAGETOP
Copyright © 人生休暇中 All Rights Reserved.
Powered by WordPress & BizVektor Theme by Vektor,Inc. technology.